Skip to content

Synthesize speech (JSON body)

POST
/v1/adapters/tts/{engine}
curl --request POST \
--url https://example.com/v1/adapters/tts/polly \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "model": "example", "voice": "example", "language": "example", "speed": "example", "format": "mp3", "text": "example", "sample_rate": 1, "advanced_settings": {}, "fallback": true }'

Synthesizes speech from a JSON body and streams the audio.

engine
required
string
Allowed values: polly azure gc ya ya_v3 techmo elevenlabs alfanum voxtream

TTS engine selector.

Media typeapplication/json

JSON synthesis request body (POST/DELETE).

object
model
string
voice
string
language
string
speed
string
format
string
default: mp3
text
string
sample_rate
integer
advanced_settings
object
key
additional properties
any
fallback

Defaults to true when omitted.

boolean
nullable

Synthesized audio stream.

string format: binary
X-Cache
string

1 on cache hit, 0 otherwise.

Content-Disposition
string

Error response.

Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{
"code": "example",
"reason": "example",
"message": "example"
}

Error response.

Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{
"code": "example",
"reason": "example",
"message": "example"
}

Forbidden

Error response.

Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{
"code": "example",
"reason": "example",
"message": "example"
}

Error response.

Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{
"code": "example",
"reason": "example",
"message": "example"
}